Subject: (urth) Lycaeus/Wolf one of zeus’ names

From: Marc Aramini <marcaramini at gmail.com>
Date: Mon, 01 Oct 2018 23:37:15 +0000

I am teaching a 400 level mythology course this semester and as I was
preparing to teach the chapter in our book on Ovid this textual side note
caught me by surprise: “the name [ Lycaeon] comes from the Greek word for
wolf and is thought to be associated with one of Zeus” names, Lycaeus? ....
wolfe’s Syncretism in the soldier series is perfect, blending the light of
Ahura Mazda and another name for Zeus into the name Lucius. Damn do I need
to stick this in that Latro writeup somewhere ...
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.urth.net/pipermail/urth-urth.net/attachments/20181001/d0f438c0/attachment.html>